import { CreateCurserController } from '@modules/curses/useCases/createCurser/CreateCurserController';
import { DeleteCurserController } from '@modules/curses/useCases/deleteCurser/DeleteCurserController';
import { FindManyCurserController } from '@modules/curses/useCases/findAllCursers/FindManyCurserController';
import { FindOneCurserController } from '@modules/curses/useCases/findOneCurser/FindOneCurserController';
import { Router } from 'express';

const cursersRouter = Router();

const createCurserController = new CreateCurserController();
const findManyCurserController = new FindManyCurserController();
const findOneCurserController = new FindOneCurserController();
const deleteCurserController = new DeleteCurserController();

cursersRouter.post('/', createCurserController.handle)
cursersRouter.get('/all', findManyCurserController.handle)
cursersRouter.get('/:id', findOneCurserController.handle)
cursersRouter.delete('/:id', deleteCurserController.handle)



export {cursersRouter}